Fillet Curve


#1

Hello,

This was just a project Post but changed it becuase now I do got a question that I cant figure out.

How can I fillet 2 curves. This is what I do:

Rhino.Geometry.Curve.CreateFillet(New DocObjects.ObjRef(BalCurveLastL).Curve, New DocObjects.ObjRef(BalCurveSoleL).Curve, 0.0F, 0.0F, 0.0F)

I want 2 curves melted together at the start with a radius of 0 and the 2 curves i’ve added.


(Dale Fugier) #2

Curve.CreateFillet only returns a fillet Arc. It is up to you to convert the Arc to an ArcCurve and to trim back the input curves.


#3

Hi @Dale, somehow related to the above question, as i think a fillet arc of radius 0 will not return something to trim back, is there an equivalent scripting method for Rhino’s “_Connect” command which could be used instead ?

c.


#4

While doing this with the 0 radius:

Dim ReturnedArc As Rhino.Geometry.Arc = Rhino.Geometry.Curve.CreateFillet(New DocObjects.ObjRef(BalCurveLastL).Curve, New DocObjects.ObjRef(BalCurveSoleL).Curve, 0.0F, 0.0F, 0.0F)
Dim TransformedArc As New Rhino.Geometry.ArcCurve(ReturnedArc)
MsgBox(TransformedArc.PointAtStart.ToString)

it will MsgBox Infinity, Infinity, Infinity


(Dale Fugier) #5

I was in a bit of a hurry when I replied. I should have added that there is a function in the SDK that adds a tangent arc between two curves and trims or extends the curves to the arc. This is used by RhinoScript’s FilletCurves method. It just isn’t exposed on RhinoCommon yet. It’s on the to-do list.


#6

thank you. I`m, looking forward to use it via Python once exposed. :sunny:

c.


(Steve Baer) #7

RhinoCommon will have a Curve.CreateFilletCurves function in SR10 for this.
http://mcneel.myjetbrains.com/youtrack/issue/RH-25580